﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace RadScheduleViewRemoveBorder
{
    public class CustomTimeRulerItemStyleSelector : OrientedTimeRulerItemStyleSelector
    {
        public Style MinorTickLineStyle
        {
            get { return m_MinorTickLineStyle; }
            set { m_MinorTickLineStyle = value; }
        }
        private Style m_MinorTickLineStyle;
        public Style MajorTickLineStyle
        {
            get { return m_MajorTickLineStyle; }
            set { m_MajorTickLineStyle = value; }
        }
        private Style m_MajorTickLineStyle;
        public override Style SelectStyle(object item, DependencyObject container, ViewDefinitionBase activeViewDeifinition)
        {
            if (container is TimeRulerLine)
            {
                TickData tick = item as TickData;
                if (tick.Type == TickType.Major)
                {
                    return MajorTickLineStyle;
                }
                return MinorTickLineStyle;
            }
            return base.SelectStyle(item, container, activeViewDeifinition);
        }
    }
}
